---
title: border-image-width
slug: Web/CSS/border-image-width
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-image-width</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the width of an element's <a href="/en-US/docs/Web/CSS/border-image">border image</a>.</p>

<div>{{EmbedInteractiveExample("pages/css/border-image-width.html")}}</div>

<p>If this property's value is greater than the element's {{cssxref("border-width")}}, the border image will extend beyond the padding (and/or content) edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
border-image-width: auto;

/* &lt;length&gt; value */
border-image-width: 1rem;

/* &lt;percentage&gt; value */
border-image-width: 25%;

/* &lt;number&gt; value */
border-image-width: 3;

/* vertical | horizontal */
border-image-width: 2em 3em;

/* top | horizontal | bottom */
border-image-width: 5% 15% 10%;

/* top | right | bottom | left */
border-image-width: 5% 2em 10% auto;

/* Global values */
border-image-width: inherit;
border-image-width: initial;
border-image-width: unset;
</pre>

<p>The <code>border-image-width</code> property may be specified using one, two, three, or four values chosen from the list of values below.</p>

<ul>
 <li>When <strong>one</strong> value is specified, it applies the same width to <strong>all four sides</strong>.</li>
 <li>When <strong>two</strong> values are specified, the first width applies to the <strong>top and bottom</strong>, the second to the <strong>left and right</strong>.</li>
 <li>When <strong>three</strong> values are specified, the first width applies to the <strong>top</strong>, the second to the <strong>left and right</strong>, the third to the <strong>bottom</strong>.</li>
 <li>When <strong>four</strong> values are specified, the widths apply to the <strong>top</strong>, <strong>right</strong>, <strong>bottom</strong>, and <strong>left</strong> in that order (clockwise).</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>The width of the border, specified as a {{cssxref("&lt;length&gt;")}} or a {{cssxref("&lt;percentage&gt;")}}. Percentages are relative to the <em>width</em> of the border image area for horizontal offsets and the <em>height</em> of the border image area for vertical offsets. Must not be negative.</dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>The width of the border, specified as a multiple of the corresponding {{cssxref("border-width")}}. Must not be negative.</dd>
 <dt><code>auto</code></dt>
 <dd>The width of the border is made equal to the intrinsic width or height (whichever is applicable) of the corresponding {{cssxref("border-image-slice")}}. If the image does not have the required intrinsic dimension, the corresponding <code>border-width</code> is used instead.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Tiling_a_border_image">Tiling a border image</h3>

<p>This example creates a border image using the following ".png" file, which is 90 by 90 pixels:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/10470/border.png"></p>

<p>Thus, each circle in the source image is 30 by 30 pixels.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy
   eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua.
   At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren,
   no sea takimata sanctus est Lorem ipsum dolor sit amet.&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  border: 20px solid;
  border-image: url("https://mdn.mozillademos.org/files/10470/border.png") 30 round;
  border-image-width: 16px;
  padding: 40px;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Tiling_a_border_image', 200, 240)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-border-image-width', 'border-image-width')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-image-width")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Backgrounds_and_Borders">Backgrounds and borders</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Building_blocks/Backgrounds_and_borders">Learn CSS: Backgrounds and borders</a></li>
</ul>
